if __name__ == "__main__":
    choix = None
    while choix != 0:
        print("================================================")
        print("CIEL - Générateur de mots de passe")
        print("================================================")
        print("Quel type de mot de passe souhaitez-vous créer ?")
        print("1 - Mot de passe avec configuration par défaut")
        print("2 - Mot de passe avec configuration personnalisée")
        print("3 - Phrase de passe avec configuration par défaut")
        print("4 - Phrase de passe avec configuration personnalisée")
        print("0 - Quitter\n")
        

        choix = int(input("Saisissez votre choix : "))
        
        print("\n")
        match choix:
            case 1: 
                print("Mot de passe par défaut")
            case 2:
                print("Mot de passe personnalisé")
            case 3:
                print("Phrase de passe par défaut")
            case 4:
                print("Phrase de passe personnalisée")
            case 0:
                print("Vous quittez le programme")
            case _:
                print(f"Erreur : l'option {choix} n'existe pas")

        if choix != 0 :
            input("\n\nAppuyez sur Entrée")
